This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 479020 - Review Request: python-repoze-who-plugins-sa - The repoze.who SQLAlchemy plugin
Review Request: python-repoze-who-plugins-sa - The repoze.who SQLAlchemy plugin
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Yaakov Nemoy
Fedora Extras Quality Assurance
:
Depends On: 499483
Blocks: 501576
  Show dependency treegraph
 
Reported: 2009-01-06 10:32 EST by Luke Macken
Modified: 2016-09-19 22:39 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-22 16:51:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
loupgaroublond: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Luke Macken 2009-01-06 10:32:51 EST
Spec URL: http://lmacken.fedorapeople.org/rpms/python-repoze-who-plugins-sa.spec
SRPM URL: http://lmacken.fedorapeople.org/rpms/python-repoze-who-plugins-sa-1.0-0.1.b2.r2909.fc10.src.rpm
Description:
This plugin provides one repoze.who authenticator which works with SQLAlchemy
or Elixir-based models.
Comment 1 Jason Tibbitts 2009-03-09 00:40:58 EDT
This failed to build for me:

Executing(%check): /bin/sh -e /var/tmp/rpm-tmp.dtBuvs
+ umask 022
+ cd /builddir/build/BUILD
+ cd repoze.who.plugins.sa-1.0b2-r2909
+ unset DISPLAY
++ pwd
+ PYTHONPATH=/builddir/build/BUILD/repoze.who.plugins.sa-1.0b2-r2909
+ nosetests
/var/tmp/rpm-tmp.dtBuvs: line 27: nosetests: command not found

I think it's missing python-nose as a build dependency, but when I add it, I get various additional failures.
Comment 2 Tom "spot" Callaway 2009-05-19 14:38:00 EDT
BuildRequires: python-elixir is needed
Comment 3 Tom "spot" Callaway 2009-05-19 14:41:23 EDT
... and a BuildRequires: python-sqlalchemy, python-coverage, python-nose, python-repoze.who

Look at tests_require= in setup.py. :)
Comment 4 Luke Macken 2009-06-01 22:09:13 EDT
http://lmacken.fedorapeople.org/rpms/python-repoze-who-plugins-sa-1.0-0.2.rc1.fc10.src.rpm
http://lmacken.fedorapeople.org/rpms/python-repoze-who-plugins-sa.spec

* Thu May 21 2009 Luke Macken <lmacken@redhat.com> - 1.0-0.2.rc1
- Update to 1.0rc1
- Add python-elixir, python-sqlalchemy, python-coverage, python-nose,
  and python-repoze-who to the BuildRequires
- Remove the setuptools patch
Comment 5 Yaakov Nemoy 2009-07-14 16:51:18 EDT
BTW: there is an rc2 out. Doing the review on rc1, please make sure to update once cvs is setup.

MUST: rpmlint must be run on every package. The output should be posted in the review.[1]
-- Check

MUST: The package must be named according to the Package Naming Guidelines .
-- Check

MUST: The spec file name must match the base package %{name}, in the format %{name}.spec unless your package has an exemption. [2] .
-- Check

MUST: The package must meet the Packaging Guidelines .
-- Check

MUST: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines .
-- Check

MUST: The License field in the package spec file must match the actual license. [3]
-- Check

MUST: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.[4]
-- Check - License is not included, please bug upstream. It's in the source files, but not in the package itself. There is only a link.

MUST: The spec file must be written in American English. [5]
-- Check


MUST: The spec file for the package MUST be legible. [6]
-- Check

MUST: The sources used to build the package must match the upstream source, as provided in the spec URL. Reviewers should use md5sum for this task. If no upstream URL can be specified for this package, please see the Source URL Guidelines for how to deal with this.
-- Check

MUST: The package MUST successfully compile and build into binary rpms on at least one primary architecture. [7]
-- Check

MUST: If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch. Each architecture listed in ExcludeArch MUST have a bug filed in bugzilla, describing the reason that the package does not compile/build/work on that architecture. The bug number MUST be placed in a comment, next to the corresponding ExcludeArch line. [8]
-- Check

MUST: All build dependencies must be listed in BuildRequires, except for any that are listed in the exceptions section of the Packaging Guidelines ; inclusion of those as BuildRequires is optional. Apply common sense.
-- Check

MUST: The spec file MUST handle locales properly. This is done by using the %find_lang macro. Using %{_datadir}/locale/* is strictly forbidden.[9]
-- Check

MUST: Every binary RPM package (or subpackage) which stores shared library files (not just symlinks) in any of the dynamic linker's default paths, must call ldconfig in %post and %postun. [10]
-- Check

MUST: If the package is designed to be relocatable, the packager must state this fact in the request for review, along with the rationalization for relocation of that specific package. Without this, use of Prefix: /usr is considered a blocker. [11]
-- Check

MUST: A package must own all directories that it creates. If it does not create a directory that it uses, then it should require a package which does create that directory. [12]
-- Check

MUST: A Fedora package must not list a file more than once in the spec file's %files listings. [13]
-- Check

MUST: Permissions on files must be set properly. Executables should be set with executable permissions, for example. Every %files section must include a %defattr(...) line. [14]
-- Check

MUST: Each package must have a %clean section, which contains rm -rf %{buildroot} (or $RPM_BUILD_ROOT). [15]
-- Check

MUST: Each package must consistently use macros. [16]
-- Check

MUST: The package must contain code, or permissable content. [17]
-- Check

MUST: Large documentation files must go in a -doc subpackage. (The definition of large is left up to the packager's best judgement, but is not restricted to size. Large can refer to either size or quantity). [18]
-- Check

MUST: If a package includes something as %doc, it must not affect the runtime of the application. To summarize: If it is in %doc, the program must run properly if it is not present. [18]
-- Check

MUST: Header files must be in a -devel package. [19]
-- Check

MUST: Static libraries must be in a -static package. [20]
-- Check

MUST: Packages containing pkgconfig(.pc) files must 'Requires: pkgconfig' (for directory ownership and usability). [21]
-- Check

MUST: If a package contains library files with a suffix (e.g. libfoo.so.1.1), then library files that end in .so (without suffix) must go in a -devel package. [19]
-- Check

MUST: In the vast majority of cases, devel packages must require the base package using a fully versioned dependency: Requires: %{name} = %{version}-%{release} [22]
-- Check

MUST: Packages must NOT contain any .la libtool archives, these must be removed in the spec if they are built.[20]
-- Check

MUST: Packages containing GUI applications must include a %{name}.desktop file, and that file must be properly installed with desktop-file-install in the %install section. If you feel that your packaged GUI application does not need a .desktop file, you must put a comment in the spec file with your explanation. [23]
-- Check

MUST: Packages must not own files or directories already owned by other packages. The rule of thumb here is that the first package to be installed should own the files or directories that other packages may rely upon. This means, for example, that no package in Fedora should ever share ownership with any of the files or directories owned by the filesystem or man package. If you feel that you have a good reason to own a file or directory that another package owns, then please present that at package review time. [24]
-- Check

MUST: At the beginning of %install, each package MUST run rm -rf %{buildroot} (or $RPM_BUILD_ROOT). [25]
-- Check

MUST: All filenames in rpm packages must be valid UTF-8. [26]
-- Check




SHOULD Items:
Items marked as SHOULD are things that the package (or reviewer) SHOULD do, but is not required to do.

SHOULD: If the source package does not include license text(s) as a separate file from upstream, the packager SHOULD query upstream to include it. [27]
In the source files, just not a standalone distributable to go with docs

SHOULD: The description and summary sections in the package spec file should contain translations for supported Non-English languages, if available. [28]
None available

SHOULD: The reviewer should test that the package builds in mock. [29]
-- Check

SHOULD: The package should compile and build into binary rpms on all supported architectures. [30]
-- Check

SHOULD: The reviewer should test that the package functions as described. A package should not segfault instead of running, for example.
-- Check

SHOULD: If scriptlets are used, those scriptlets must be sane. This is vague, and left up to the reviewers judgement to determine sanity. [31]
-- Check

SHOULD: Usually, subpackages other than devel should require the base package using a fully versioned dependency. [22]
-- Check

SHOULD: The placement of pkgconfig(.pc) files depends on their usecase, and this is usually for development purposes, so should be placed in a -devel pkg. A reasonable exception is that the main pkg itself is a devel tool not installed in a user runtime, e.g. gcc or gdb. [21]
-- Check

SHOULD: If the package has file dependencies outside of /etc, /bin, /sbin, /usr/bin, or /usr/sbin consider requiring the package which provides the file instead of the file itself. [32] 
-- Check

Resolution: PASS.
Comment 6 Luke Macken 2009-07-15 17:32:46 EDT
New Package CVS Request
=======================
Package Name: python-repoze-who-plugins-sa
Short Description: The repoze.who SQLAlchemy plugin
Owners: lmacken
Branches: F-10 F-11 EL-5
Comment 7 Kevin Fenzi 2009-07-16 01:33:31 EDT
cvs done.
Comment 8 Luke Macken 2009-07-22 16:51:57 EDT
Built and pushed to F-10, F-11 and EL5.  Thanks!

Note You need to log in before you can comment on or make changes to this bug.